/**
 */
package com.founder.fix.bpmn2extensions.sqlmappingconfig.util;

import com.founder.fix.bpmn2extensions.sqlmappingconfig.*;

import org.eclipse.emf.common.notify.Adapter;
import org.eclipse.emf.common.notify.Notifier;

import org.eclipse.emf.common.notify.impl.AdapterFactoryImpl;

import org.eclipse.emf.ecore.EObject;

/**
 * <!-- begin-user-doc -->
 * The <b>Adapter Factory</b> for the model.
 * It provides an adapter <code>createXXX</code> method for each class of the model.
 * <!-- end-user-doc -->
 * @see com.founder.fix.bpmn2extensions.sqlmappingconfig.SqlmappingconfigPackage
 * @generated
 */
public class SqlmappingconfigAdapterFactory extends AdapterFactoryImpl {
	/**
	 * The cached model package.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected static SqlmappingconfigPackage modelPackage;

	/**
	 * Creates an instance of the adapter factory.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	public SqlmappingconfigAdapterFactory() {
		if (modelPackage == null) {
			modelPackage = SqlmappingconfigPackage.eINSTANCE;
		}
	}

	/**
	 * Returns whether this factory is applicable for the type of the object.
	 * <!-- begin-user-doc -->
	 * This implementation returns <code>true</code> if the object is either the model's package or is an instance object of the model.
	 * <!-- end-user-doc -->
	 * @return whether this factory is applicable for the type of the object.
	 * @generated
	 */
	@Override
	public boolean isFactoryForType(Object object) {
		if (object == modelPackage) {
			return true;
		}
		if (object instanceof EObject) {
			return ((EObject)object).eClass().getEPackage() == modelPackage;
		}
		return false;
	}

	/**
	 * The switch that delegates to the <code>createXXX</code> methods.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @generated
	 */
	protected SqlmappingconfigSwitch<Adapter> modelSwitch =
		new SqlmappingconfigSwitch<Adapter>() {
			@Override
			public Adapter caseSqlMappingConfig(SqlMappingConfig object) {
				return createSqlMappingConfigAdapter();
			}
			@Override
			public Adapter caseDataBaseTableConfig(DataBaseTableConfig object) {
				return createDataBaseTableConfigAdapter();
			}
			@Override
			public Adapter caseDataBaseTable(DataBaseTable object) {
				return createDataBaseTableAdapter();
			}
			@Override
			public Adapter caseSqlMapping(SqlMapping object) {
				return createSqlMappingAdapter();
			}
			@Override
			public Adapter caseSql(Sql object) {
				return createSqlAdapter();
			}
			@Override
			public Adapter caseColumn(Column object) {
				return createColumnAdapter();
			}
			@Override
			public Adapter caseRulesConfig(RulesConfig object) {
				return createRulesConfigAdapter();
			}
			@Override
			public Adapter caseRule(Rule object) {
				return createRuleAdapter();
			}
			@Override
			public Adapter caseSqlRule(SqlRule object) {
				return createSqlRuleAdapter();
			}
			@Override
			public Adapter caseInsert(Insert object) {
				return createInsertAdapter();
			}
			@Override
			public Adapter caseUpdate(Update object) {
				return createUpdateAdapter();
			}
			@Override
			public Adapter caseSelect(Select object) {
				return createSelectAdapter();
			}
			@Override
			public Adapter caseDelete(Delete object) {
				return createDeleteAdapter();
			}
			@Override
			public Adapter caseBusinessRules(BusinessRules object) {
				return createBusinessRulesAdapter();
			}
			@Override
			public Adapter caseResultMap(ResultMap object) {
				return createResultMapAdapter();
			}
			@Override
			public Adapter caseResult(Result object) {
				return createResultAdapter();
			}
			@Override
			public Adapter defaultCase(EObject object) {
				return createEObjectAdapter();
			}
		};

	/**
	 * Creates an adapter for the <code>target</code>.
	 * <!-- begin-user-doc -->
	 * <!-- end-user-doc -->
	 * @param target the object to adapt.
	 * @return the adapter for the <code>target</code>.
	 * @generated
	 */
	@Override
	public Adapter createAdapter(Notifier target) {
		return modelSwitch.doSwitch((EObject)target);
	}


	/**
	 * Creates a new adapter for an object of class '{@link com.founder.fix.bpmn2extensions.sqlmappingconfig.SqlMappingConfig <em>Sql Mapping Config</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.founder.fix.bpmn2extensions.sqlmappingconfig.SqlMappingConfig
	 * @generated
	 */
	public Adapter createSqlMappingConfigAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.founder.fix.bpmn2extensions.sqlmappingconfig.DataBaseTableConfig <em>Data Base Table Config</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.founder.fix.bpmn2extensions.sqlmappingconfig.DataBaseTableConfig
	 * @generated
	 */
	public Adapter createDataBaseTableConfigAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.founder.fix.bpmn2extensions.sqlmappingconfig.DataBaseTable <em>Data Base Table</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.founder.fix.bpmn2extensions.sqlmappingconfig.DataBaseTable
	 * @generated
	 */
	public Adapter createDataBaseTableAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.founder.fix.bpmn2extensions.sqlmappingconfig.SqlMapping <em>Sql Mapping</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.founder.fix.bpmn2extensions.sqlmappingconfig.SqlMapping
	 * @generated
	 */
	public Adapter createSqlMappingAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.founder.fix.bpmn2extensions.sqlmappingconfig.Sql <em>Sql</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.founder.fix.bpmn2extensions.sqlmappingconfig.Sql
	 * @generated
	 */
	public Adapter createSqlAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.founder.fix.bpmn2extensions.sqlmappingconfig.Column <em>Column</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.founder.fix.bpmn2extensions.sqlmappingconfig.Column
	 * @generated
	 */
	public Adapter createColumnAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.founder.fix.bpmn2extensions.sqlmappingconfig.RulesConfig <em>Rules Config</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.founder.fix.bpmn2extensions.sqlmappingconfig.RulesConfig
	 * @generated
	 */
	public Adapter createRulesConfigAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.founder.fix.bpmn2extensions.sqlmappingconfig.Rule <em>Rule</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.founder.fix.bpmn2extensions.sqlmappingconfig.Rule
	 * @generated
	 */
	public Adapter createRuleAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.founder.fix.bpmn2extensions.sqlmappingconfig.SqlRule <em>Sql Rule</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.founder.fix.bpmn2extensions.sqlmappingconfig.SqlRule
	 * @generated
	 */
	public Adapter createSqlRuleAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.founder.fix.bpmn2extensions.sqlmappingconfig.Insert <em>Insert</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.founder.fix.bpmn2extensions.sqlmappingconfig.Insert
	 * @generated
	 */
	public Adapter createInsertAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.founder.fix.bpmn2extensions.sqlmappingconfig.Update <em>Update</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.founder.fix.bpmn2extensions.sqlmappingconfig.Update
	 * @generated
	 */
	public Adapter createUpdateAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.founder.fix.bpmn2extensions.sqlmappingconfig.Select <em>Select</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.founder.fix.bpmn2extensions.sqlmappingconfig.Select
	 * @generated
	 */
	public Adapter createSelectAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.founder.fix.bpmn2extensions.sqlmappingconfig.Delete <em>Delete</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.founder.fix.bpmn2extensions.sqlmappingconfig.Delete
	 * @generated
	 */
	public Adapter createDeleteAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.founder.fix.bpmn2extensions.sqlmappingconfig.BusinessRules <em>Business Rules</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.founder.fix.bpmn2extensions.sqlmappingconfig.BusinessRules
	 * @generated
	 */
	public Adapter createBusinessRulesAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.founder.fix.bpmn2extensions.sqlmappingconfig.ResultMap <em>Result Map</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.founder.fix.bpmn2extensions.sqlmappingconfig.ResultMap
	 * @generated
	 */
	public Adapter createResultMapAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for an object of class '{@link com.founder.fix.bpmn2extensions.sqlmappingconfig.Result <em>Result</em>}'.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null so that we can easily ignore cases;
	 * it's useful to ignore a case when inheritance will catch all the cases anyway.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @see com.founder.fix.bpmn2extensions.sqlmappingconfig.Result
	 * @generated
	 */
	public Adapter createResultAdapter() {
		return null;
	}

	/**
	 * Creates a new adapter for the default case.
	 * <!-- begin-user-doc -->
	 * This default implementation returns null.
	 * <!-- end-user-doc -->
	 * @return the new adapter.
	 * @generated
	 */
	public Adapter createEObjectAdapter() {
		return null;
	}

} //SqlmappingconfigAdapterFactory
